Skip to main content
PUT
/
leads
/
{id}
Updates a lead.
curl --request PUT \
  --url https://api.leadping.ai/leads/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "contact": {
    "firstName": "<string>",
    "lastName": "<string>",
    "streetAddress": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "province": "<string>",
      "region": "<string>",
      "postalCode": "<string>",
      "country": "<string>",
      "additionalInfo": "<string>"
    },
    "phone": {
      "number": "<string>",
      "lookup": {
        "id": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "modifiedAt": "2023-11-07T05:31:56Z",
        "number": "<string>",
        "isValid": true,
        "location": {
          "location": "<string>",
          "state": "<string>",
          "countryCode": "<string>"
        }
      }
    },
    "email": "<string>"
  },
  "customer": {
    "height": 123,
    "weight": 123,
    "birthDate": "2023-12-25",
    "income": 123,
    "isHomeowner": true,
    "monthsAtResidence": 123,
    "creditScore": 123,
    "hasBankruptcy": true,
    "numberOfDependents": 123,
    "hasMedicalCondition": true
  }
}
'
{
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedAt": "2023-11-07T05:31:56Z",
  "metadata": {
    "trustedFormUrl": "<string>",
    "utmSource": "<string>",
    "utmMedium": "<string>",
    "utmCampaign": "<string>",
    "referrer": "<string>",
    "landingPage": "<string>",
    "subId": "<string>",
    "pubId": "<string>",
    "ipAddress": "<string>",
    "userAgent": "<string>",
    "externalId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "price": 123,
    "userId": "<string>"
  },
  "contact": {
    "firstName": "<string>",
    "lastName": "<string>",
    "streetAddress": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "province": "<string>",
      "region": "<string>",
      "postalCode": "<string>",
      "country": "<string>",
      "additionalInfo": "<string>"
    },
    "phone": {
      "number": "<string>",
      "lookup": {
        "id": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "modifiedAt": "2023-11-07T05:31:56Z",
        "number": "<string>",
        "isValid": true,
        "location": {
          "location": "<string>",
          "state": "<string>",
          "countryCode": "<string>"
        }
      }
    },
    "email": "<string>"
  },
  "customer": {
    "height": 123,
    "weight": 123,
    "birthDate": "2023-12-25",
    "income": 123,
    "isHomeowner": true,
    "monthsAtResidence": 123,
    "creditScore": 123,
    "hasBankruptcy": true,
    "numberOfDependents": 123,
    "hasMedicalCondition": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. (i.e. "Bearer 1234abcdef")

Path Parameters

id
string
required

The ID of the lead to update.

Body

application/json

The updated lead data.

id
string | null
metadata
object

Metadata related to the origin, context, and attribution of a submitted lead.

contact
object

Represents the primary contact details for a lead, including name, address, phone, and email.

customer
object

Represents a lead prospect's profile, containing demographic and financial information.

Response

Lead was successfully updated.

id
string | null
createdAt
string<date-time>
modifiedAt
string<date-time> | null
metadata
object

Metadata related to the origin, context, and attribution of a submitted lead.

contact
object

Represents the primary contact details for a lead, including name, address, phone, and email.

customer
object

Represents a lead prospect's profile, containing demographic and financial information.